/***************************************************************************
                          lmsensor.h  -  description
                             -------------------
    begin                : Mon Aug 6 2001
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LMSENSOR_H
#define LMSENSOR_H

#include <qobject.h>
#include <qstring.h>
// #include <qcstring.h>

#include <sensors/sensors.h>

#include "sensor.h"

class LMSensorsList;

/**
  *@original author Miguel Novas
  */

class LMSensor : public Sensor  {
  Q_OBJECT

  friend class LMSensorsChip;

public:

  LMSensor( SensorDev *parent = nullptr );
	~LMSensor();

public Q_SLOTS:

  void updateValue ( bool enabUpdate );

protected:

  double calculateIdealValue();

#if SENSORS_API_VERSION < 0x400 /* libsensor 3 code */
  bool init(const sensors_feature_data **data, int *nr1,int *nr2);
#else
  bool init(const sensors_feature **data, int *nr1,int *nr2);
#endif
  const sensors_chip_name *getChipName();

private:

   int        feature;
   SensorType type;
   QString    description;
   double     val;
   double     valPrevious;
   double     compensation;
   double     multiplicator;
   double     valMax;
   double     valMin;
   double     valIdeal;
   bool       monitorize;
   double readSensorValue();
};

#endif
