/***************************************************************************
                          lmsensorsalarms.h  -  description
                             -------------------
    begin                : Wed Nov 14 2001
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LMSENSORSALARMS_H
#define LMSENSORSALARMS_H

#include <qobject.h>
#include <qstring.h>
// #include <phonon/audiooutput.h>
// #include <phonon/mediaobject.h>
#include <qmediaplayer.h>
#include <qaudiooutput.h>

#include "ksensorssetting.h"

#include "sensordevslist.h"


/**
  *@original author Miguel Novas
  */

class SensorDevsList;

class LMSensorsAlarms : public QObject, public ksensorsSetting
{
Q_OBJECT
public:
    LMSensorsAlarms( SensorDevsList *sensors, QObject *parent = nullptr, const QString &name = QString() );
    ~LMSensorsAlarms();

  static void    runSensorCommand( const QString &name, const QString &value, const QString &cmd );
  static void    playSound( const QString &sound );
public Q_SLOTS:

  void setValueChanged(Sensor *);

private:

  int     sensorCount;
  QString soundPlay;

//    static Phonon::MediaObject *media;
    static QMediaPlayer *media;

  int idTimer;

  static void runCommand( const QString &str );

  void timerEvent( QTimerEvent * ) override;
};

#endif
